package javax.management.timer;

import java.util.Vector;
import javax.management.InstanceNotFoundException;
import java.util.Date;

public interface TimerMBean
{
    public abstract void start();
    
    public abstract void stop();
    
    public abstract Integer addNotification(String p0, String p1, Object p2, Date p3, long p4, long p5, boolean p6) throws IllegalArgumentException;
    
    public abstract Integer addNotification(String p0, String p1, Object p2, Date p3, long p4, long p5) throws IllegalArgumentException;
    
    public abstract Integer addNotification(String p0, String p1, Object p2, Date p3, long p4) throws IllegalArgumentException;
    
    public abstract Integer addNotification(String p0, String p1, Object p2, Date p3) throws IllegalArgumentException;
    
    public abstract void removeNotification(Integer p0) throws InstanceNotFoundException;
    
    public abstract void removeNotifications(String p0) throws InstanceNotFoundException;
    
    public abstract void removeAllNotifications();
    
    public abstract int getNbNotifications();
    
    public abstract Vector<Integer> getAllNotificationIDs();
    
    public abstract Vector<Integer> getNotificationIDs(String p0);
    
    public abstract String getNotificationType(Integer p0);
    
    public abstract String getNotificationMessage(Integer p0);
    
    public abstract Object getNotificationUserData(Integer p0);
    
    public abstract Date getDate(Integer p0);
    
    public abstract Long getPeriod(Integer p0);
    
    public abstract Long getNbOccurences(Integer p0);
    
    public abstract Boolean getFixedRate(Integer p0);
    
    public abstract boolean getSendPastNotifications();
    
    public abstract void setSendPastNotifications(boolean p0);
    
    public abstract boolean isActive();
    
    public abstract boolean isEmpty();
}
